'use client';
import { useState } from 'react';
import { BuildIbansDataTableAdd } from './table/data-table';
import { BuildIbansForm } from './form';
import { useGraphQlBuildIbansList } from '../queries';

const PageAddBuildIbans = () => {
    const [page, setPage] = useState(1);
    const [limit, setLimit] = useState(10);
    const [sort, setSort] = useState({ createdAt: 'desc' });
    const [filters, setFilters] = useState({});

    const { data, isLoading, error, refetch } = useGraphQlBuildIbansList({ limit, skip: (page - 1) * limit, sort, filters });

    return (
        <>
            <BuildIbansDataTableAdd
                data={data?.data || []} totalCount={data?.totalCount || 0} currentPage={page} pageSize={limit} onPageChange={setPage} onPageSizeChange={setLimit} refetchTable={refetch}
            />
            <BuildIbansForm refetchTable={refetch} />
        </>
    )
}

export { PageAddBuildIbans };
